Eclipse Platform Release 3.7

## org.eclipse.core.filebuffers
Interface IFileBufferListener

All Known Implementing Classes:
  TextFileDocumentProvider.FileBufferListener

    public interface IFileBufferListener

Interface for listeners to file buffer changes.

Since:
  3.0

Method Summary
`void` `bufferContentAboutToBeReplaced(IFileBuffer buffer)` Informs the listener about an upcoming replace of the contents of the given buffer.
`void` `bufferContentReplaced(IFileBuffer buffer)` Informs the listener that the buffer of the given buffer has been replaced.
`void` `bufferCreated(IFileBuffer buffer)` Informs the listener about the creation of the given buffer.
`void` `bufferDisposed(IFileBuffer buffer)` Informs the listener that the given buffer has been disposed.
`void` `dirtyStateChanged(IFileBuffer buffer, boolean isDirty)` Informs the listener that the dirty state of the given buffer changed to the specified value
`void` `stateChangeFailed(IFileBuffer buffer)` Informs the listener that a state changing operation on the given file buffer failed.
`void` `stateChanging(IFileBuffer buffer)` Informs the listener about the start of a state changing operation on the given buffer.
`void` `stateValidationChanged(IFileBuffer buffer, boolean isStateValidated)` Informs the listener that the state validation changed to the specified value.
`void` `underlyingFileDeleted(IFileBuffer buffer)` Informs the listener that the file underlying the given file buffer has been deleted.
`void` `underlyingFileMoved(IFileBuffer buffer, IPath path)` Informs the listener that the file underlying the given file buffer has been moved to the given location.

Method Detail

### bufferCreated

    void bufferCreated(IFileBuffer buffer)

  Informs the listener about the creation of the given buffer.

  Parameters:
    `buffer` - the created file buffer

### bufferDisposed

    void bufferDisposed(IFileBuffer buffer)

  Informs the listener that the given buffer has been disposed. All state information has already been disposed and accessing it is forbidden. However, accessing the file buffer's content is still allowed during the notification.

  Parameters:
    `buffer` - the disposed file buffer

### bufferContentAboutToBeReplaced

    void bufferContentAboutToBeReplaced(IFileBuffer buffer)

  Informs the listener about an upcoming replace of the contents of the given buffer.

  Parameters:
    `buffer` - the affected file buffer

### bufferContentReplaced

    void bufferContentReplaced(IFileBuffer buffer)

  Informs the listener that the buffer of the given buffer has been replaced.

  Parameters:
    `buffer` - the affected file buffer

### stateChanging

    void stateChanging(IFileBuffer buffer)

  Informs the listener about the start of a state changing operation on the given buffer.

  Parameters:
    `buffer` - the affected file buffer

### dirtyStateChanged

    void dirtyStateChanged(IFileBuffer buffer,
                           boolean isDirty)

  Informs the listener that the dirty state of the given buffer changed to the specified value

  Parameters:
    `buffer` - the affected file buffer
    `isDirty` - `true` if the buffer is dirty, `false` otherwise

### stateValidationChanged

    void stateValidationChanged(IFileBuffer buffer,
                                boolean isStateValidated)

  Informs the listener that the state validation changed to the specified value.

  Parameters:
    `buffer` - the affected file buffer
    `isStateValidated` - `true` if the buffer state is validated, `false` otherwise

### underlyingFileMoved

    void underlyingFileMoved(IFileBuffer buffer,
                             IPath path)

  Informs the listener that the file underlying the given file buffer has been moved to the given location.

  This event is currently only sent if the file buffer is backed by an `IFile`.

  Parameters:
    `buffer` - the affected file buffer
    `path` - the new location (not just the container)

### underlyingFileDeleted

    void underlyingFileDeleted(IFileBuffer buffer)

  Informs the listener that the file underlying the given file buffer has been deleted.

  Parameters:
    `buffer` - the affected file buffer

### stateChangeFailed

    void stateChangeFailed(IFileBuffer buffer)

  Informs the listener that a state changing operation on the given file buffer failed.

  Parameters:
    `buffer` - the affected file buffer

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.